## castle-model-viewer 5.2.0

=== Makefile ===
# build / clean --------------------------------------------------------------

# Hint: use
#   export CASTLE_ENGINE_TOOL_OPTIONS='--mode=debug'
#   make
# to build in debug mode.

.PHONY: compile
compile:
	./compile.sh

.PHONY: clean
clean:
	castle-engine clean
	castle-engine clean --manifest-name=CastleEngineManifest.converter.xml
# remove also macOS stuff
	rm -Rf castle-model-viewer.app \
	       castle-model-converter.app \
	       macosx/castle-model-viewer.app \
	       macosx/castle-model-converter.app \
	       macosx/*.dmg

# install / uninstall --------------------------------------------------------
#
# By default castle-model-viewer is installed system-wide to /usr/local .
# You can run "make" followed by "sudo make install" to have it
# ready on a typical Unix system.

# Standard installation dirs, following conventions on
# http://www.gnu.org/prep/standards/html_node/Directory-Variables.html#Directory-Variables
PREFIX=$(DESTDIR)/usr/local
EXEC_PREFIX=$(PREFIX)
BINDIR=$(EXEC_PREFIX)/bin
DATAROOTDIR=$(PREFIX)/share
DATADIR=$(DATAROOTDIR)

.PHONY: install
install:
	install -d $(BINDIR)
	install castle-model-viewer $(BINDIR)
	install castle-model-converter $(BINDIR)
	install -d  $(DATADIR)
	cd freedesktop/ && ./install.sh "$(DATADIR)"

.PHONY: uninstall
uninstall:
	rm -f $(BINDIR)/castle-model-viewer \
	      $(BINDIR)/castle-model-converter
	cd freedesktop/ && ./uninstall.sh "$(DATADIR)"

# code generation ------------------------------------------------------------

# Run a couple of child targets to autogenerate some code
.PHONY: generate-code
generate-code:
	$(MAKE) -C embedded_data/images/
	$(MAKE) -C embedded_data/screen_effects/

# Clean autogenerated code
.PHONY: clean-code
clean-code:
	$(MAKE) -C embedded_data/images/ clean
	$(MAKE) -C embedded_data/screen_effects/ clean
