=== doc/man/man1/Makefile ===
.PHONY: all
all: castle-model-viewer.1 castle-model-converter.1

castle-model-viewer.1: castle-model-viewer.adoc
	asciidoctor -b manpage castle-model-viewer.adoc

castle-model-converter.1: castle-model-converter.adoc
	asciidoctor -b manpage castle-model-converter.adoc
