=== debian/changelog ===
castle-model-viewer (5.2.0-3) unstable; urgency=medium

  * Enabled hardening using FPC hardening configuration file.
  * Bumped standard version.
  * Removed few Lintian comments on control file.
  * Enabled Static-Built-Using stanza in control file.
    This should trigger rebuild of CMV in case of security fixes to FPC RTL
    and other changes in statically linked  libraries. (Closes: Bug#1095334)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 09 Feb 2025 01:20:13 +0100

castle-model-viewer (5.2.0-2) unstable; urgency=medium

  * Fixed Lintian warning about alien tag.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 31 Jan 2025 21:44:07 +0100

castle-model-viewer (5.2.0-1) unstable; urgency=medium

  * Updated watch file for new version with new sources name.
    View3DScene is now renamed Castle Model View by upstream.
  * New upstream version 5.2.0
  * Updated patches to fit new upstream source files.
  * Renamed package name and added transitional package.
    Renamed also related installation files.
  * Updated rules file to compile new programs and updated install file.
    Use upstream make file to build programs and rename executable files.
  * Renamed source package to fit new upstream name.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 06 Jan 2025 22:34:55 +0100

view3dscene (4.2.0-4) unstable; urgency=medium

  * Remove dependency on gtkglext (Unblocks: #967491 #1054392)
  * Update patch header (forwarded)
  *  Allow for missing file in clean target

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 31 Oct 2023 14:00:00 +0000

view3dscene (4.2.0-3) unstable; urgency=medium

  * Re-enable lto with fix (thanks Graham Inggs)
  * Fixes FTBFS on Ubuntu

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 02 Oct 2023 18:00:00 +0100

view3dscene (4.2.0-2) unstable; urgency=medium

  * Depend on libgl1 (Closes: #1051598)
  * Build-Depends on libgdk-pixbuf-2.0-dev (Closes: #1037406)
  * Disable lto (Closes: #1015702)
  * Fix links in debian/copyright
  * Fix folder name in debian/clean
  * Drop build dependency on whitedune-docs
  * Add lintian overrides
  * Add myself to Uploaders
  * Update standards version to 4.6.2, no changes needed.

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 19 Sep 2023 21:00:00 +0100

view3dscene (4.2.0-1) unstable; urgency=medium

  * Updated gbp import filter to exclude automatically generated files.
  * New upstream version 4.2.0 (Closes: Bug#1022343)
  * Updated Debian build rules and patches to fit new release changes.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Nov 2022 18:54:46 +0100

view3dscene (4.0.0-3) unstable; urgency=medium

  * Updated build script to use CGE units new installation directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Feb 2022 22:22:19 +0100

view3dscene (4.0.0-2) unstable; urgency=medium

  * Added recommend dependency on sensible-utils package advised by Lintian.
  * Dropped optional license not yet agreed to be DFSG compatible.
  * Filter out auto-generated files upon source import.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 07 Nov 2021 15:46:28 +0100

view3dscene (4.0.0-1) stable; urgency=medium

  [ Jenkins ]
  * Update watch file format version to 4.
    Changes-By: lintian-brush
    Fixes: lintian: older-debian-watch-file-standard
    See-also:
      https://lintian.debian.org/tags/older-debian-watch-file-standard.html
  * Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Abou Al Montacir ]
  * Fixed watch file after upstream URL changed.
  * Added GBP configuration file.
  * New upstream version 4.0.0
  * Fixed make clean target.
  * Fixed path of Castle Game Engine units. (Closes: Bug#997940)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Nov 2021 20:54:06 +0100

view3dscene (3.18.0-4) unstable; urgency=medium

  * Use --export-filename i.s.o. --export-png (Closes: #959610)
  * Bump debhelper compat to 13 (via debhelper-compat)
  * Bump standards
  * Drop versioned B-D fp-utils, even jessie has higher

 -- Paul Gevers <elbrus@debian.org>  Wed, 06 May 2020 20:34:49 +0200

view3dscene (3.18.0-3) unstable; urgency=medium

  * Temporarily drop dependency on again kicad-common as that FTBFS (we
    don't need it, just nice to have)

 -- Paul Gevers <elbrus@debian.org>  Tue, 05 Jun 2018 21:10:40 +0200

view3dscene (3.18.0-2) unstable; urgency=medium

  * [tests] Only test on kicad-common on amd64 as it really takes long and
    currently prevents armel/armhf from building in time

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Feb 2018 22:46:30 +0100

view3dscene (3.18.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on cge-src as it isn't needed anymore (Closes: #751473)
  * Bump B-D on fp-units-castle-game-engine to prevent FTBFS
  * Bump standards to 4.1.3 (no changes)
  * Bump debhelper compat level to 11 and set Rules-Requires-Root to no
  * Migrate VCS fields to Salsa URL

 -- Paul Gevers <elbrus@debian.org>  Sun, 11 Feb 2018 20:42:40 +0100

view3dscene (3.17.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Drop patches from upstream
  * Bump standards version to 4.0.0 (no changes)
  * Bump required version for castle-game-engine packages

 -- Paul Gevers <elbrus@debian.org>  Wed, 12 Jul 2017 21:46:04 +0200

view3dscene (3.16.1-1) experimental; urgency=medium

  * New upstream version 3.16.1
  * Bump required version for castle-game-engine packages
  * Update upstream homepage
  * Update d/copyright for new source
  * Drop and refresh patches based on new source code
  * Bump debhelper compat level
  * Generate input code and add file_to_pascal_string to do it
  * Add upstream add-keyword-to-desktop-file.patch
  * Drop lintian override, it isn't needed anymore
  * Enable bindnow in the linker flags

