=== debian/control ===
Source: castle-model-viewer
Section: graphics
Priority: optional
Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders:
 Abou Al Montacir <abou.almontacir@sfr.fr>,
 Paul Gevers <elbrus@debian.org>,
 Peter Blackman <peter@pblackman.plus.com>
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 fp-compiler,
 fp-units-castle-game-engine,
 fp-units-fcl,
 fp-units-gfx,
 fp-units-gtk2,
 fp-units-net,
 fp-utils,
 inkscape (>= 1.0~),
 libatk1.0-dev,
 libgdk-pixbuf-2.0-dev,
 libgtk2.0-dev,
 libpango1.0-dev,
 libx11-dev
Vcs-Git: https://salsa.debian.org/pascal-team/castle-model-viewer.git
Vcs-Browser: https://salsa.debian.org/pascal-team/castle-model-viewer
Homepage: https://castle-engine.io/castle-model-viewer
Rules-Requires-Root: no

Package: castle-model-viewer
Architecture: any
Static-Built-Using: ${fpc:Static-Built-Using}, castle-game-engine (= ${CGE:Version})
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgl1,
 zlib1g
Recommends:
 libopenal1,
 libvorbisfile3,
 sensible-utils
Replaces: view3dscene (<< 5.0.0-1~)
Breaks: view3dscene (<< 5.0.0-1~)
Suggests:
 graphicsmagick-imagemagick-compat | imagemagick,
 libav-tools | ffmpeg
Description: VRML / X3D browser, and a viewer for other 3D model formats
 Castle Model Viewer (CMV) is a viewer for many 3D model formats:
  - X3D
  - VRML (1.0 and 2.0, aka VRML 97)
  - Collada
  - OpenInventor
  - 3DS
  - MD3
  - Wavefront OBJ
  - Videoscape GEO
  - KAnim (Castle Game Engine animations)
 .
 Various navigation modes are available, like Examine, Walk (with gravity), Fly.
 Collision detection is done. Models can be animated and interactive. Many
 graphic effects are possible, thanks to using Castle Game Engine underneath.
 .
 CMV may also be used to convert many 3D model formats to X3D
 (in classic and XML encoding). This package includes also a command-line
 castle-model-converter program, that performs the same conversions as CMV,
 but doesn't use X or OpenGL (so it's nice to use in scripts to convert
 3D models in batch mode).

Package: view3dscene
Depends: castle-model-viewer, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: Transitional package to castle-model-viewer
 This is a transitional package. It can safely be removed.
