=== debian/watch ===
version=4
opts=\
compression=xz,\
repack,\
repacksuffix=+dfsg,\
uversionmangle=s/-/~/,\
dversionmangle=s/\+dfsg(\d*)//,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%castle-model-viewer-$1.tar.xz% \
	https://github.com/castle-engine/castle-model-viewer/tags \
	(?:.*?/)?v?@ANY_VERSION@\.tar\.gz debian
